Bug 719128 - After reinstalling eclipse, all installed eclipse plugins are being deactivated.
After reinstalling eclipse, all installed eclipse plugins are being deactivated.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
: 721378 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 16:19 EDT by Kiu Kwan Leung
Modified: 2011-10-04 15:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 15:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The startup log of my yum installed eclipse (4.47 KB, text/x-log)
2011-07-06 08:57 EDT, Kiu Kwan Leung
no flags Details
Another startup log (1.23 MB, text/x-log)
2011-07-06 11:36 EDT, Kiu Kwan Leung
no flags Details
Eclipse startup log with only jdt, swt, platform and rcp installed. (26.04 KB, text/x-log)
2011-07-06 14:00 EDT, Kiu Kwan Leung
no flags Details

  None (edit)
Description Kiu Kwan Leung 2011-07-05 16:19:17 EDT
Description of problem:
After a yum remove and yum install from rawhide, all of the installed eclipse plugins are deactivated.

The installed plugins are listed below:
* jdt
* cdt
* egit
* swt
* platform
* pde
* tomcat5-jasper
* icu4j


Version-Release number of selected component (if applicable):
Eclipse 3.7 Indigo, Fedora 15

How reproducible:


Steps to Reproduce:
1. yum remove eclipse-swt
2. yum --enablerepo=rawhide install eclipse-{jdt,cdt,swt,platform,pde,egit}
3. run eclipse
  
Actual results:
Eclipse runs, but cannot use any of the installed plugins, not even creating a new java project (as the jdt is not activated and java project category is not found in the wizard).

Expected results:
One should be able to use the functionalities offered by the above listed plugins.

Additional info:
Comment 1 Severin Gehwolf 2011-07-05 16:35:01 EDT
It works on my machine. Could you please verify that you have the right versions of things eclipse-platform requires?

Here is the list of eclipse things I have locally:

$ rpm -qa | grep eclipse
eclipse-cdt-8.0.0-2.fc16.x86_64
eclipse-mylyn-docs-wikitext-3.5.1-1.fc15.noarch
eclipse-mylyn-tasks-trac-3.5.1-3.fc15.noarch
eclipse-mylyn-builds-hudson-3.5.1-2.fc15.noarch
eclipse-mylyn-commons-3.5.1-1.fc15.noarch
eclipse-mylyn-versions-cvs-3.5.1-1.fc15.noarch
icu4j-eclipse-4.4.2-2.fc16.x86_64
eclipse-mylyn-context-team-3.5.1-1.fc15.noarch
eclipse-mylyn-ide-3.5.1-1.fc15.noarch
eclipse-egit-1.0.0-2.fc15.noarch
eclipse-mylyn-tasks-web-3.5.1-3.fc15.noarch
eclipse-changelog-2.6.7-7.fc15.x86_64
eclipse-mylyn-context-java-3.5.1-1.fc15.noarch
eclipse-pde-3.7.0-1.3.fc16.x86_64
eclipse-mylyn-context-pde-3.5.1-1.fc15.noarch
eclipse-emf-2.6.0-2.fc14.noarch
eclipse-mylyn-3.5.1-1.fc15.noarch
eclipse-linuxprofilingframework-0.6.1-2.fc15.x86_64
eclipse-mylyn-versions-git-3.5.1-1.fc15.noarch
eclipse-mylyn-builds-3.5.1-2.fc15.noarch
eclipse-mylyn-tasks-bugzilla-3.5.1-3.fc15.noarch
eclipse-platform-3.7.0-1.3.fc16.x86_64
eclipse-mylyn-context-3.5.1-1.fc15.noarch
eclipse-fedorapackager-0.1.12-1.fc15.noarch
eclipse-mylyn-versions-3.5.1-1.fc15.noarch
eclipse-swt-3.7.0-1.3.fc16.x86_64
eclipse-rse-3.2-3.fc15.noarch
eclipse-mylyn-docs-htmltext-3.5.1-1.fc15.noarch
eclipse-jdt-3.7.0-1.3.fc16.x86_64
eclipse-mylyn-context-cdt-3.5.1-1.fc15.noarch
eclipse-oprofile-0.8.0-1.fc16.x86_64
eclipse-rpm-editor-0.6.0-2.fc15.x86_64
eclipse-jgit-1.0.0-2.fc15.noarch
eclipse-rcp-3.7.0-1.3.fc16.x86_64
tomcat5-jasper-eclipse-5.5.31-3.fc15.noarch

And here the versions of eclipse-platform deps:

rpm -q --requires eclipse-platform
/bin/sh  
/bin/sh  
ant-antlr  
ant-apache-bcel  
ant-apache-bsf  
ant-apache-log4j  
ant-apache-oro  
ant-apache-regexp  
ant-apache-resolver  
ant-apache-xalan2  
ant-commons-logging  
ant-commons-net  
ant-javamail  
ant-jdepend  
ant-jmf  
ant-jsch  
ant-junit  
ant-swing  
ant-testutil  
apache-commons-codec  
apache-commons-el  
apache-commons-logging  
config(eclipse-platform) = 1:3.7.0-1.3.fc16
eclipse-rcp = 1:3.7.0-1.3.fc16
jetty >= 6.1.24-1
jsch >= 0.1.41
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libdl.so.2()(64bit)  
libdl.so.2(GLIBC_2.2.5)(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
lucene >= 2.9.4-5
lucene-contrib >= 2.9.4-5
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
sat4j >= 2.3.0-1
tomcat5-jasper-eclipse >= 5.5.31-2
tomcat6-jsp-2.1-api  
tomcat6-servlet-2.5-api >= 6.0.32-8
rpmlib(PayloadIsXz) <= 5.2-1

In particular, make sure you have the correct version of tomcat[5,6]*, sat4j, icu4j-eclipse, lucene* and jetty

Thanks!
Comment 2 Severin Gehwolf 2011-07-05 16:40:52 EDT
Also, could you please put

org.eclipse.equinox.p2.core/debug=true
org.eclipse.equinox.p2.core/reconciler=true

into an ".options" file, remove ~/.eclipse and start eclipse. I.e.

$ cat .options
org.eclipse.equinox.p2.core/debug=true
org.eclipse.equinox.p2.core/reconciler=true
$ mv ~/.eclipse ~/.eclipse_old
$ eclipse -debug -clean -consolelog -data remove_me_workspace 2>&1 | tee eclipse_startup.log

Then attach the eclipse_startup.log file. Thanks!
Comment 3 Kiu Kwan Leung 2011-07-06 08:54:59 EDT
> Comment 1
Hey Serverin, I've double checked and those libraries are exactly the same as your in my computer.

I also did the steps you mentioned and its in the attachments, thank you very much!
Comment 4 Kiu Kwan Leung 2011-07-06 08:57:45 EDT
Created attachment 511490 [details]
The startup log of my yum installed eclipse
Comment 5 Andrew Overholt 2011-07-06 11:02:37 EDT
Ken, I don't think you followed Severin's instructions properly because I see this in the log:

Debug options:
    file:/home/kleung/clean not found

Did you perhaps put a space between the '-' and the 'clean'?

The log does have the following line which may be an indication of the problem:

!MESSAGE The artifact file for osgi.bundle,com.ibm.icu,4.2.1.v20100412 was not found.

Ken, please paste here the output of the following commands:

$ rpm -q icu4j-eclipse
$ rpm -qV icu4j-eclipse

Thanks.
Comment 6 Kiu Kwan Leung 2011-07-06 11:36:06 EDT
Created attachment 511517 [details]
Another startup log

Startup log generated by Severin
Comment 7 Andrew Overholt 2011-07-06 13:20:45 EDT
Please re-generate the log with only eclipse-{swt,rcp,platform,jdt} installed.  Then do it again after adding eclipse-pde.  Thanks.
Comment 8 Kiu Kwan Leung 2011-07-06 14:00:52 EDT
Created attachment 511546 [details]
Eclipse startup log with only jdt, swt, platform and rcp installed.
Comment 9 Andrew Overholt 2011-07-06 15:57:39 EDT
This is odd:  Removing IU: org.eclipse.jdt.ui 3.6.2.r362_v20110203.  It looks like ~/.eclipse wasn't clean when you did this startup.

I'm at a bit of a loss on this one.  There are plenty of reconciliation errors in the log yet the installed RPMs all match what I have on my F15 x86 (32-bit) VM where things work.  I've seen other x86_64 boxes where this works so I don't know how to proceed.  I'll think about it a bit and get back to you.
Comment 10 Kiu Kwan Leung 2011-07-06 16:09:31 EDT
I am not sure whether I should've done that, I mved the .eclipse to .eclipse.work.bak so technically there is no .eclipse directory at my home when I yum install and run that yum installed eclipse.
Comment 11 Alexander Kurtakov 2011-09-20 05:43:03 EDT
*** Bug 721378 has been marked as a duplicate of this bug. ***
Comment 12 Alexander Kurtakov 2011-09-21 10:48:39 EDT
Are there any reproducers?
Comment 13 Severin Gehwolf 2011-09-21 12:00:10 EDT
I don't think there is unfortunately. We should have checked removing all eclipse plug-ins and see if any files remained in /usr/lib64/eclipse and if so if they were owned by any package.
Comment 14 Andrew Overholt 2011-10-04 15:24:31 EDT
No reproducer so closing.

Note You need to log in before you can comment on or make changes to this bug.